Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class PelletQueryExecution

    java.lang.Object
      org.mindswap.pellet.jena.PelletQueryExecution

All Implemented Interfaces:
  com.hp.hpl.jena.query.QueryExecution

    public class PelletQueryExecution

extends java.lang.Object
implements com.hp.hpl.jena.query.QueryExecution

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`PelletQueryExecution(com.hp.hpl.jena.query.Query query, com.hp.hpl.jena.rdf.model.Model source)`
`PelletQueryExecution(java.lang.String query, com.hp.hpl.jena.rdf.model.Model source)`

Method Summary
`void` | `abort()`
`void` | `close()`
`boolean` | `execAsk()`
`com.hp.hpl.jena.rdf.model.Model` | `execConstruct()`
`com.hp.hpl.jena.rdf.model.Model` | `execConstruct(com.hp.hpl.jena.rdf.model.Model model)`
`com.hp.hpl.jena.rdf.model.Model` | `execDescribe()`
`com.hp.hpl.jena.rdf.model.Model` | `execDescribe(com.hp.hpl.jena.rdf.model.Model model)`
`com.hp.hpl.jena.query.ResultSet` | `execSelect()`
`com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`com.hp.hpl.jena.query.Dataset` | `getDataset()`
`void` | `setFileManager(com.hp.hpl.jena.util.FileManager manager)`
`void` | `setInitialBinding(com.hp.hpl.jena.query.QuerySolution arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### PelletQueryExecution

    public PelletQueryExecution(java.lang.String query,
                                com.hp.hpl.jena.rdf.model.Model source)

### PelletQueryExecution

    public PelletQueryExecution(com.hp.hpl.jena.query.Query query,
                                com.hp.hpl.jena.rdf.model.Model source)

Method Detail

### execDescribe

    public com.hp.hpl.jena.rdf.model.Model execDescribe()

  Specified by:
    `execDescribe` in interface `com.hp.hpl.jena.query.QueryExecution`

### execDescribe

    public com.hp.hpl.jena.rdf.model.Model execDescribe(com.hp.hpl.jena.rdf.model.Model model)

  Specified by:
    `execDescribe` in interface `com.hp.hpl.jena.query.QueryExecution`

### execConstruct

    public com.hp.hpl.jena.rdf.model.Model execConstruct()

  Specified by:
    `execConstruct` in interface `com.hp.hpl.jena.query.QueryExecution`

### execConstruct

    public com.hp.hpl.jena.rdf.model.Model execConstruct(com.hp.hpl.jena.rdf.model.Model model)

  Specified by:
    `execConstruct` in interface `com.hp.hpl.jena.query.QueryExecution`

### execAsk

    public boolean execAsk()

  Specified by:
    `execAsk` in interface `com.hp.hpl.jena.query.QueryExecution`

### execSelect

    public com.hp.hpl.jena.query.ResultSet execSelect()

  Specified by:
    `execSelect` in interface `com.hp.hpl.jena.query.QueryExecution`

### abort

    public void abort()

  Specified by:
    `abort` in interface `com.hp.hpl.jena.query.QueryExecution`

### close

    public void close()

  Specified by:
    `close` in interface `com.hp.hpl.jena.query.QueryExecution`

### setFileManager

    public void setFileManager(com.hp.hpl.jena.util.FileManager manager)

  Specified by:
    `setFileManager` in interface `com.hp.hpl.jena.query.QueryExecution`

### setInitialBinding

    public void setInitialBinding(com.hp.hpl.jena.query.QuerySolution arg0)

  Specified by:
    `setInitialBinding` in interface `com.hp.hpl.jena.query.QueryExecution`

### getContext

    public com.hp.hpl.jena.sparql.util.Context getContext()

  Specified by:
    `getContext` in interface `com.hp.hpl.jena.query.QueryExecution`

### getDataset

    public com.hp.hpl.jena.query.Dataset getDataset()

  Specified by:
    `getDataset` in interface `com.hp.hpl.jena.query.QueryExecution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.